"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const events_1 = require("events");
const Confabulous = require("confabulous");
class Config extends Confabulous {
    constructor() {
        super();
        this.start = this.start.bind(this);
    }
    start(deps, restart, stop) {
        this.on('reloaded', () => {
            this.removeAllListeners();
            restart();
        });
        this.on('reload_error', stop);
        return new Promise((resolve, reject) => {
            this.end((err, config) => {
                if (err)
                    return reject(err);
                resolve(config);
            });
        });
    }
}
exports.Config = Config;
(function (Config) {
    Config.loaders = Confabulous.loaders;
    Config.processors = Confabulous.processors;
})(Config = exports.Config || (exports.Config = {}));
exports.default = Config;
exports.loaders = Confabulous.loaders;
exports.processors = Confabulous.processors;
//# sourceMappingURL=index.js.map